Bug 663066 - add passwords derived from gawker breach data to cracklib dicts
Summary: add passwords derived from gawker breach data to cracklib dicts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cracklib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 15:31 UTC by Matthew Miller
Modified: 2015-10-26 14:47 UTC (History)
1 user (show)

Fixed In Version: cracklib-2.9.6-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-26 14:47:54 UTC
Type: ---


Attachments (Terms of Use)
wordlist of weak passwords which pass current tests (64.94 KB, text/plain)
2010-12-14 15:31 UTC, Matthew Miller
no flags Details

Description Matthew Miller 2010-12-14 15:31:14 UTC
Created attachment 468627 [details]
wordlist of weak passwords which pass current tests

See: <http://lifehacker.com/5712785/>.

This is similar to bug #557592 from January. The Gawker data breech exposed a smaller list of passwords, and unlike the RockYou incident, crypt hashes were stored rather than plaintext passwords.

However, the published data includes a list of passwords which were apparently brute-forced from those hashes in a short time. This is ipso facto evidence that these are weak passwords. Of these 91691 unique "lemon" passwords, 7874 of these pass cracklib tests (under cracklib-2.8.16-4.fc14).

My recommendation is that this entire list of passwords which pass our current checks be added as a cracklib dictionary.

Comment 1 Matthew Miller 2010-12-14 16:35:23 UTC
See also: <http://blogs.wsj.com/digits/2010/12/13/the-top-50-gawker-media-passwords/>

Note that of the top 50 weak passwords, only "lifehack" would pass the current cracklib test.

Comment 2 Fedora End Of Life 2013-04-03 18:51:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora Admin XMLRPC Client 2013-06-10 17:34:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-01-09 16:29:01 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Tomas Mraz 2015-10-26 14:47:54 UTC
The password dictionary is now enhanced. Not all of these words are included but I do not think this is a big problem as these have fairly low probability of use.


Note You need to log in before you can comment on or make changes to this bug.